com.hazelcast.org.snakeyaml.engine.v1.events

## Class DocumentStartEvent

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.events.Event
  - - com.hazelcast.org.snakeyaml.engine.v1.events.DocumentStartEvent

-     public final class DocumentStartEvent
      extends Event

  Marks the beginning of a document.

  This event followed by the document's content and a `DocumentEndEvent`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.hazelcast.org.snakeyaml.engine.v1.events.Event

      `Event.ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentStartEvent(boolean explicit, Optional<SpecVersion> specVersion, Map<String,String> tags)`
    `DocumentStartEvent(boolean explicit, Optional<SpecVersion> specVersion, Map<String,String> tags, Optional<Mark> startMark, Optional<Mark> endMark)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event.ID` | `getEventId()`
    `Optional<SpecVersion>` | `getSpecVersion()`
    `Map<String,String>` | `getTags()` Tag shorthands as defined by the `%TAG` directive.
    `boolean` | `isExplicit()`
    `String` | `toString()`

    - ### Methods inherited from class com.hazelcast.org.snakeyaml.engine.v1.events.Event

      `equals, getEndMark, getStartMark, hashCode, isEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentStartEvent

          public DocumentStartEvent(boolean explicit,
                                    Optional<SpecVersion> specVersion,
                                    Map<String,String> tags,
                                    Optional<Mark> startMark,
                                    Optional<Mark> endMark)

    - #### DocumentStartEvent

          public DocumentStartEvent(boolean explicit,
                                    Optional<SpecVersion> specVersion,
                                    Map<String,String> tags)

  - ### Method Detail

    - #### isExplicit

          public boolean isExplicit()

    - #### getSpecVersion

          public Optional<SpecVersion> getSpecVersion()

      Returns:
        YAML version the document conforms to.

    - #### getTags

          public Map<String,String> getTags()

      Tag shorthands as defined by the `%TAG` directive.
      Returns:
        Mapping of 'handles' to 'prefixes' (the handles include the '!' characters).

    - #### getEventId

          public Event.ID getEventId()

      Specified by:
        `getEventId` in class `Event`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019. All rights reserved.